<?xml version="1.0"?>
<project
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
	xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.huatek.busi</groupId>
		<artifactId>busi-back</artifactId>
		<version>1.0</version>
	</parent>
	<artifactId>busi-back-control</artifactId>
	<packaging>war</packaging>
	<name>busi-back-control Maven Webapp</name>
	<url>http://maven.apache.org</url>

	<profiles>
		<profile>
			<id>dev</id>
			<properties>
				<profiles.activation>dev</profiles.activation>
			</properties>
			<activation>
				<!--默认为dev环境打包方式 -->
				<activeByDefault>true</activeByDefault>
			</activation>
		</profile>
		<profile>
			<id>test</id>
			<properties>
				<profiles.activation>test</profiles.activation>
			</properties>
		</profile>
	</profiles>

	<dependencies>
		<dependency>
		<groupId>com.jcraft</groupId>
		<artifactId>jsch</artifactId>
		<version>0.1.54</version>
	</dependency>

		<dependency>
			<groupId>com.huatek.busi</groupId>
			<artifactId>busi-back-service</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.huatek.busi</groupId>
			<artifactId>busi-back-wscommon</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>com.huatek.busi</groupId>
			<artifactId>busi-back-common</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>io.springfox</groupId>
			<artifactId>springfox-swagger2</artifactId>
			<version>2.9.2</version>
		</dependency>
		<dependency>
			<groupId>io.springfox</groupId>
			<artifactId>springfox-swagger-ui</artifactId>
			<version>2.9.2</version>
		</dependency>
		<dependency>
			<groupId>commons-fileupload</groupId>
			<artifactId>commons-fileupload</artifactId>
			<version>1.3.1</version>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.4</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.amqp</groupId>
			<artifactId>spring-rabbit</artifactId>
			<version>1.6.0.RELEASE</version>
		</dependency>
		<!-- freemarker jar -->
		 <dependency>
		     <groupId>org.freemarker</groupId>
		     <artifactId>freemarker</artifactId>
		    <version>2.3.28</version>
		 </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot</artifactId>
            <version>2.2.6.RELEASE</version>
        </dependency>
    </dependencies>
	<build>
		<finalName>busi-back-control</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.7.0</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
		</plugins>
		<resources>
			<resource>
				<directory>src/main/resources/${profiles.activation}</directory>
			</resource>
		</resources>
	</build>
</project>
